Bug 66502 - Installer crashes mozilla package
Installer crashes mozilla package
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.3
athlon Linux
high Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-11 11:13 EDT by Andre Marais
Modified: 2006-02-21 13:49 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:49:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andre Marais 2002-06-11 11:13:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
On _really_ fast machines (XP 1800+) with 333MHZ bus, promise IDE controller,
and 56x CDROM causes race conditions in the installer to come through.
Mozilla package is still running pre-install scripts when the installer tries to
unmount the CD-ROM. This causes a crash due to "Device busy" being returned
(Some files are still open on the device).

Version-Release number of selected component (if applicable):
Default on installation CD of RedHat 7.3

How reproducible:
Sometimes

Steps to Reproduce:
1. Select packages (Specifically Mozilla libs and mozilla packages).
2. Start installation
3. Soon before the prompt for next CD (and after unmount of CDROM) the race
condition might (or might not on slow machines) occur.
	

Actual Results:  - Installer crashes completely (Debugging the Python code shows
it crashes on umount().

Additional info:
Comment 1 Jeremy Katz 2002-06-11 11:40:33 EDT
Could you please attach the traceback?  Also, have you run mediacheck on your cds?
Comment 2 Michael Fulbright 2002-07-15 12:55:27 EDT
Closing due to inactivty, please reopen if you have additional information to add.
Comment 3 Red Hat Bugzilla 2006-02-21 13:49:04 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.